{% extends 'base_1.html' %}
{% load i18n %}
{% load static %}

{% block content %}

<main id="main">
  <!-- ======= Breadcrumbs ======= -->
  <section id="breadcrumbs" class="breadcrumbs">
    <div class="breadcrumb-hero">
      <div class="container">
        <div class="breadcrumb-hero">
          <h2>{% trans "Create Trip By System" %}</h2>
          <div class="row">
            <p class="m-auto"><a class="btn btn-success" href="{% url 'trip:search' %}">{% trans "Search Travel Trips" %}</a></p>
            <p class="m-auto"><a class="btn btn-success" href="{% url 'active:quiz_list' %}">{% trans "Question" %}</a></p>
          </div>
        </div>
      </div>
    </div>
    <div class="container">
      <ol>
        <li><a href="{% url 'home' %}">{% trans "Home" %}</a></li>
        <li>{% trans "Trip" %}</li>
      </ol>
    </div>
  </section>
  <!-- End Breadcrumbs -->


  <div class="container mt-4">
    <div class="container">
      <form method="post" class="multisteps-form__form" id="personForm" action="{% url 'trip:trip_system_save' %}">
        {% csrf_token %}
        <div class="text-center">
          <div class="card-body">

            
            <div class="form-row mt-4">
              <div class="col">
                <label>{% trans "Budget" %}</label>
                <input class="multisteps-form__input form-control" type="number" name="budget" required id="id_name" min="1" 
                  placeholder="{% trans 'Examples' %}: 0" />
              </div>
              <div class="col">
                <label>{% trans "Person Number" %}</label>
                <select name="person_number"  class="multisteps-form__input form-control">
                  <!-- <option value="">---------</option> -->
                  <option value="1">1</option>
                  <option value="2">2</option>
                  <option value="3">3</option>
                  <option value="4">4</option>
                  <option value="5">5</option>
                  <option value="6">6</option>
                  <option value="7">7</option>
                  <option value="8">8</option>
                  <option value="9">9</option>
                  <option value="10">10</option>
                </select>
              </div>
              <div class="col">
                <label>{% trans "Location Start&Last" %}</label>
                <select name="location_start" class="multisteps-form__input form-control">
                  <!-- <option value="">---------</option> -->
                  {% for province in provinces %}
                  <option value="{{ province }}">{{ province }}</option>
                  {% endfor %}
                </select>
              </div>
            </div>

            
            <div class="form-row mt-4">
              <div class="col">
                <label>{% trans "Style" %}</label>
                <select name="value_style"  class="multisteps-form__input form-control">
                  <!-- <option value="">---------</option> -->
                  {% for style in styles %}
                  <option value="{{ style }}">{{ style }}</option>
                  {% endfor %}
                </select>
              </div>
              <div class="col">
                <label>{% trans "Type Season" %}</label>
                <select name="type_season"  class="multisteps-form__input form-control">
                  <!-- <option value="">---------</option> -->
                  {% for type_season in TypeSeason %}
                  <option value="{{ type_season.label }}">{{ type_season.label }}</option>
                  {% endfor %}
                </select>
              </div>
              <div class="col">
                <label>{% trans "Suitable Person" %}</label>
                <select name="suitable_person"  class="multisteps-form__input form-control">
                  <!-- <option value="">---------</option> -->
                  {% for suitable_person in SuitablePerson %}
                  <option value="{{ suitable_person.label }}">{{ suitable_person.label }}</option>
                  {% endfor %}
                </select>
              </div>
            </div>

            <div class="button-row d-flex mt-4">
              <button id="sweetalert" type="submit" class="btn btn-primary float-right">{% trans "Next" %}</button>
            </div>

          </div>
        </div>
      </form>
    </div>
  </div>

</main>

{% endblock content %}